Skip to main content
GET
/
v2
/
parties
/
{party}
GET /v2/parties/:party
curl --request GET \
  --url https://api.example.com/v2/parties/{party} \
  --header 'Authorization: Bearer <token>'
{
  "partyDetails": [
    {
      "party": "<string>",
      "isLocal": true,
      "localMetadata": {
        "resourceVersion": "<string>",
        "annotations": {}
      },
      "identityProviderId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Ledger API standard JWT token

Path Parameters

party
string
required

Query Parameters

identity-provider-id
string
parties
string[]

Response

partyDetails
PartyDetails · object[]
required

The details of the requested Daml parties by the participant, if known. The party details may not be in the same order as requested.

Required: must be non-empty